## r-cran-base64url 1.4

=== DESCRIPTION ===
Package: base64url
Type: Package
Title: Fast and URL-Safe Base64 Encoder and Decoder
Version: 1.4
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person(NULL, "Apache Foundation", NULL, NULL, role = c("ctb", "cph")),
    person(NULL, "Free Software Foundation", NULL, NULL, role = c("ctb", "cph"))
    )
Description: In contrast to RFC3548, the 62nd character ("+") is replaced with
    "-", the 63rd character ("/") is replaced with "_". Furthermore, the encoder
    does not fill the string with trailing "=". The resulting encoded strings
    comply to the regular expression pattern "[A-Za-z0-9_-]" and thus are
    safe to use in URLs or for file names.
    The package also comes with a simple base32 encoder/decoder suited for
    case insensitive file systems.
URL: https://github.com/mllg/base64url
BugReports: https://github.com/mllg/base64url/issues
NeedsCompilation: yes
License: GPL-3
Encoding: UTF-8
Imports: backports (>= 1.1.0)
Suggests: base64enc, checkmate, knitr, microbenchmark, openssl,
        rmarkdown, testthat
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Packaged: 2018-05-14 09:41:23 UTC; lang
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  Apache Foundation [ctb, cph],
  Free Software Foundation [ctb, cph]
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2018-05-14 09:58:28 UTC

=== debian/changelog ===
r-cran-base64url (1.4-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Add Test-Depends: r-cran-checkmate
                      r-cran-base64enc
                      r-cran-openssl

  [ Dylan Aïssi ]
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 13:30:24 +0100

r-cran-base64url (1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 08:26:12 +0200

r-cran-base64url (1.3-1) unstable; urgency=medium

  * Initial release (closes: #898061)

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 16:44:23 +0200

=== debian/control ===
Source: r-cran-base64url
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-backports (>= 1.1.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-base64url
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-base64url.git
Homepage: https://cran.r-project.org/package=base64url

Package: r-cran-base64url
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast and URL-safe Base64 encoder and decoder
 In contrast to RFC3548, the 62nd character ("+") is replaced with
 "-", the 63rd character ("/") is replaced with "_". Furthermore, the encoder
 does not fill the string with trailing "=". The resulting encoded strings
 comply to the regular expression pattern "[A-Za-z0-9_-]" and thus are
 safe to use in URLs or for file names.
 The package also comes with a simple base32 encoder/decoder suited for
 case insensitive file systems.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-checkmate, r-cran-base64enc, r-cran-openssl
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/base64url_([-\d.]*)\.tar\.gz
